net.sf.jasperreports.export

## Interface PdfExporterConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ExporterConfiguration
  All Known Implementing Classes:
    SimplePdfExporterConfiguration

      public interface PdfExporterConfiguration
      extends ExporterConfiguration

  Interface containing settings used by the PDF exporter.
  Version:
    $Id: PdfExporterConfiguration.java 7063 2014-04-29 09:37:53Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRPdfExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Integer` | `ALL_PERMISSIONS` Integer property that contains all permissions for the generated PDF document
    `static java.lang.String` | `PROPERTY_128_BIT_KEY` Property whose value is used as default state of the `is128BitKey()` export configuration flag.
    `static java.lang.String` | `PROPERTY_COMPRESSED` Property whose value is used as default state of the `isCompressed()` export configuration flag.
    `static java.lang.String` | `PROPERTY_CREATE_BATCH_MODE_BOOKMARKS` Property whose value is used as default state of the `isCreatingBatchModeBookmarks()` export configuration flag.
    `static java.lang.String` | `PROPERTY_ENCRYPTED` Property whose value is used as default state of the `isEncrypted()` export configuration flag.
    `static java.lang.String` | `PROPERTY_METADATA_AUTHOR` Property whose value is used as default for the `getMetadataAuthor()` export configuration setting.
    `static java.lang.String` | `PROPERTY_METADATA_CREATOR` Property whose value is used as default for the `getMetadataCreator()` export configuration setting.
    `static java.lang.String` | `PROPERTY_METADATA_KEYWORDS` Property whose value is used as default for the `getMetadataKeywords()` export configuration setting.
    `static java.lang.String` | `PROPERTY_METADATA_SUBJECT` Property whose value is used as default for the `getMetadataSubject()` export configuration setting.
    `static java.lang.String` | `PROPERTY_METADATA_TITLE` Property whose value is used as default for the `getMetadataTitle()` export configuration setting.
    `static java.lang.String` | `PROPERTY_OWNER_PASSWORD` Property whose value is used as default for the `getOwnerPassword()` export configuration setting.
    `static java.lang.String` | `PROPERTY_PDF_JAVASCRIPT` Property whose value is used as default for the `getPdfJavaScript()` export configuration setting.
    `static java.lang.String` | `PROPERTY_PDF_VERSION` Property whose value is used as default for the `getPdfVersion()` export configuration setting.
    `static java.lang.String` | `PROPERTY_PDFA_CONFORMANCE` Property whose value is used as default for the `getPdfaConformance()` export configuration setting.
    `static java.lang.String` | `PROPERTY_PDFA_ICC_PROFILE_PATH` Property whose value is used as default for the `getIccProfilePath()` export configuration setting.
    `static java.lang.String` | `PROPERTY_PERMISSIONS_ALLOWED` Property whose value is used as default for the `getAllowedPermissions()` export configuration setting.
    `static java.lang.String` | `PROPERTY_PERMISSIONS_DENIED` Property whose value is used as default for the `getDeniedPermissions()` export configuration setting.
    `static java.lang.String` | `PROPERTY_PRINT_SCALING` Property whose value is used as default state of the `getPrintScaling()` export configuration setting.
    `static java.lang.String` | `PROPERTY_TAG_LANGUAGE` Property whose value is used as default for the `getTagLanguage()` export configuration setting.
    `static java.lang.String` | `PROPERTY_TAGGED` Property whose value is used as default for the `isTagged()` export configuration flag.
    `static java.lang.String` | `PROPERTY_USER_PASSWORD` Property whose value is used as default for the `getUserPassword()` export configuration setting.

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAllowedPermissions()` An exporter hint property representing the allowed permissions for the generated PDF document.
    `java.lang.String` | `getDeniedPermissions()` An exporter hint property representing the denied permissions for the generated PDF document.
    `java.lang.String` | `getIccProfilePath()` The path to the ICC profile file for the PDF/A compliant document.
    `java.lang.String` | `getMetadataAuthor()` The Author of the PDF document.
    `java.lang.String` | `getMetadataCreator()` The Creator or Application for the PDF document.
    `java.lang.String` | `getMetadataKeywords()` The Keywords of the PDF document, as comma-separated String.
    `java.lang.String` | `getMetadataSubject()` The Subject of the PDF document.
    `java.lang.String` | `getMetadataTitle()` The Title of the PDF document.
    `java.lang.String` | `getOwnerPassword()` The password belonging to the owner of the document, if it is encrypted.
    `PdfaConformanceEnum` | `getPdfaConformance()` The Conformance level of the PDF/A document.
    `java.lang.String` | `getPdfJavaScript()` The user defined JavaScript piece of code to be inserted in the generated PDF document.
    `PdfVersionEnum` | `getPdfVersion()` Returns a `Character` instance representing the version of the generated PDF.
    `java.lang.Integer` | `getPermissions()` An integer value representing the PDF permissions for the generated document.
    `PdfPrintScalingEnum` | `getPrintScaling()` Setting specifying the print scaling preference in the PDF print dialog.
    `java.lang.String` | `getTagLanguage()` Specifies the language that the exporter should put in the language tag of the generated PDF.
    `java.lang.String` | `getUserPassword()` The user password needed to open the document, if it is encrypted.
    `java.lang.Boolean` | `is128BitKey()` Returns a boolean value specifying whether the encryption key is 128 bits.
    `java.lang.Boolean` | `isCompressed()` Returns a boolean value specifying whether the PDF document should be compressed.
    `java.lang.Boolean` | `isCreatingBatchModeBookmarks()` Returns a boolean value specifying whether the PDF document should contain an outline section.
    `java.lang.Boolean` | `isEncrypted()` Returns a boolean value specifying whether the final PDF document should be encrypted.
    `java.lang.Boolean` | `isTagged()` Specifies whether the exporter should put structure tags in the generated PDF.

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### ALL_PERMISSIONS

          static final java.lang.Integer ALL_PERMISSIONS

      Integer property that contains all permissions for the generated PDF document

    - #### PROPERTY_CREATE_BATCH_MODE_BOOKMARKS

          static final java.lang.String PROPERTY_CREATE_BATCH_MODE_BOOKMARKS

      Property whose value is used as default state of the `isCreatingBatchModeBookmarks()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_COMPRESSED

          static final java.lang.String PROPERTY_COMPRESSED

      Property whose value is used as default state of the `isCompressed()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_ENCRYPTED

          static final java.lang.String PROPERTY_ENCRYPTED

      Property whose value is used as default state of the `isEncrypted()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_128_BIT_KEY

          static final java.lang.String PROPERTY_128_BIT_KEY

      Property whose value is used as default state of the `is128BitKey()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_USER_PASSWORD

          static final java.lang.String PROPERTY_USER_PASSWORD

      Property whose value is used as default for the `getUserPassword()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_OWNER_PASSWORD

          static final java.lang.String PROPERTY_OWNER_PASSWORD

      Property whose value is used as default for the `getOwnerPassword()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_PERMISSIONS_ALLOWED

          static final java.lang.String PROPERTY_PERMISSIONS_ALLOWED

      Property whose value is used as default for the `getAllowedPermissions()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_PERMISSIONS_DENIED

          static final java.lang.String PROPERTY_PERMISSIONS_DENIED

      Property whose value is used as default for the `getDeniedPermissions()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_PDF_VERSION

          static final java.lang.String PROPERTY_PDF_VERSION

      Property whose value is used as default for the `getPdfVersion()` export configuration setting. Possible values of the this property are 2, 3, 4, 5, 6 and 7.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_PDF_JAVASCRIPT

          static final java.lang.String PROPERTY_PDF_JAVASCRIPT

      Property whose value is used as default for the `getPdfJavaScript()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_PRINT_SCALING

          static final java.lang.String PROPERTY_PRINT_SCALING

      Property whose value is used as default state of the `getPrintScaling()` export configuration setting.

      By default, this property is set to `PdfPrintScalingEnum.DEFAULT`.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_TAGGED

          static final java.lang.String PROPERTY_TAGGED

      Property whose value is used as default for the `isTagged()` export configuration flag.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_TAG_LANGUAGE

          static final java.lang.String PROPERTY_TAG_LANGUAGE

      Property whose value is used as default for the `getTagLanguage()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_PDFA_CONFORMANCE

          static final java.lang.String PROPERTY_PDFA_CONFORMANCE

      Property whose value is used as default for the `getPdfaConformance()` export configuration setting.

      By default, this property is set to `PdfaConformanceEnum.NONE`.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_PDFA_ICC_PROFILE_PATH

          static final java.lang.String PROPERTY_PDFA_ICC_PROFILE_PATH

      Property whose value is used as default for the `getIccProfilePath()` export configuration setting.
      See Also:
        Constant Field Values

    - #### PROPERTY_METADATA_TITLE

          static final java.lang.String PROPERTY_METADATA_TITLE

      Property whose value is used as default for the `getMetadataTitle()` export configuration setting.
      See Also:
        Constant Field Values

    - #### PROPERTY_METADATA_AUTHOR

          static final java.lang.String PROPERTY_METADATA_AUTHOR

      Property whose value is used as default for the `getMetadataAuthor()` export configuration setting.
      See Also:
        Constant Field Values

    - #### PROPERTY_METADATA_SUBJECT

          static final java.lang.String PROPERTY_METADATA_SUBJECT

      Property whose value is used as default for the `getMetadataSubject()` export configuration setting.
      See Also:
        Constant Field Values

    - #### PROPERTY_METADATA_KEYWORDS

          static final java.lang.String PROPERTY_METADATA_KEYWORDS

      Property whose value is used as default for the `getMetadataKeywords()` export configuration setting.
      See Also:
        Constant Field Values

    - #### PROPERTY_METADATA_CREATOR

          static final java.lang.String PROPERTY_METADATA_CREATOR

      Property whose value is used as default for the `getMetadataCreator()` export configuration setting.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isCreatingBatchModeBookmarks

          java.lang.Boolean isCreatingBatchModeBookmarks()

      Returns a boolean value specifying whether the PDF document should contain an outline section.
      See Also:
        `PROPERTY_CREATE_BATCH_MODE_BOOKMARKS`

    - #### isCompressed

          java.lang.Boolean isCompressed()

      Returns a boolean value specifying whether the PDF document should be compressed.
      See Also:
        `PROPERTY_COMPRESSED`

    - #### isEncrypted

          java.lang.Boolean isEncrypted()

      Returns a boolean value specifying whether the final PDF document should be encrypted.

      When set to `Boolean.TRUE`, this parameter instructs the exporter to encrypt the resulting PDF document. By default PDF files are not encrypted.
      See Also:
        `PROPERTY_ENCRYPTED`

    - #### is128BitKey

          java.lang.Boolean is128BitKey()

      Returns a boolean value specifying whether the encryption key is 128 bits.

      The PDF exporter can encrypt the files using either a 40-bit key or a 128-bit key. By default, it uses a 40-bit key, but if you set this flag to `Boolean.TRUE`, it can be configured to use a 128-bit key for stronger encryption.
      See Also:
        `PROPERTY_128_BIT_KEY`

    - #### getUserPassword

          java.lang.String getUserPassword()

      The user password needed to open the document, if it is encrypted.
      See Also:
        `PROPERTY_USER_PASSWORD`

    - #### getOwnerPassword

          java.lang.String getOwnerPassword()

      The password belonging to the owner of the document, if it is encrypted. If the password is null, it will be replaced by a random string, so that access is denied to all would-be owners.
      See Also:
        `PROPERTY_OWNER_PASSWORD`

    - #### getPdfVersion

          PdfVersionEnum getPdfVersion()

      Returns a `Character` instance representing the version of the generated PDF. This class contains predefined constants that can be passed as parameters directly.
      See Also:
        `PROPERTY_PDF_VERSION`

    - #### getPdfJavaScript

          java.lang.String getPdfJavaScript()

      The user defined JavaScript piece of code to be inserted in the generated PDF document.
      See Also:
        `PROPERTY_PDF_JAVASCRIPT`

    - #### getPrintScaling

          PdfPrintScalingEnum getPrintScaling()

      Setting specifying the print scaling preference in the PDF print dialog.

    - #### isTagged

          java.lang.Boolean isTagged()

      Specifies whether the exporter should put structure tags in the generated PDF.
      See Also:
        `PROPERTY_TAGGED`

    - #### getTagLanguage

          java.lang.String getTagLanguage()

      Specifies the language that the exporter should put in the language tag of the generated PDF.
      See Also:
        `PROPERTY_TAG_LANGUAGE`

    - #### getPdfaConformance

          PdfaConformanceEnum getPdfaConformance()

      The Conformance level of the PDF/A document.
      See Also:
        `PROPERTY_PDFA_CONFORMANCE`

    - #### getIccProfilePath

          java.lang.String getIccProfilePath()

      The path to the ICC profile file for the PDF/A compliant document.
      See Also:
        `PROPERTY_PDFA_ICC_PROFILE_PATH`

    - #### getPermissions

          java.lang.Integer getPermissions()

      An integer value representing the PDF permissions for the generated document. The open permissions for the document can be ALLOW_PRINTING, ALLOW_MODIFY_CONTENTS, ALLOW_COPY, ALLOW_MODIFY_ANNOTATIONS, ALLOW_FILL_IN, ALLOW_SCREENREADERS, ALLOW_ASSEMBLY and ALLOW_DEGRADED_PRINTING (these can all be found in the PdfWriter class of iText library). The permissions can be combined by applying bitwise OR to them.

    - #### getAllowedPermissions

          java.lang.String getAllowedPermissions()

      An exporter hint property representing the allowed permissions for the generated PDF document. Allowed permissions for the document can be PRINTING, MODIFY_CONTENTS, COPY, MODIFY_ANNOTATIONS, FILL_IN,SCREENREADERS, ASSEMBLY, DEGRADED_PRINTING and ALL. Different permissions are separated by a pipe (|) character.

    - #### getDeniedPermissions

          java.lang.String getDeniedPermissions()

      An exporter hint property representing the denied permissions for the generated PDF document. Denied permissions for the document can be PRINTING, MODIFY_CONTENTS, COPY, MODIFY_ANNOTATIONS, FILL_IN,SCREENREADERS, ASSEMBLY, DEGRADED_PRINTING and ALL. Different permissions are separated by a pipe (|) character.

    - #### getMetadataTitle

          java.lang.String getMetadataTitle()

      The Title of the PDF document.

    - #### getMetadataAuthor

          java.lang.String getMetadataAuthor()

      The Author of the PDF document.

    - #### getMetadataSubject

          java.lang.String getMetadataSubject()

      The Subject of the PDF document.

    - #### getMetadataKeywords

          java.lang.String getMetadataKeywords()

      The Keywords of the PDF document, as comma-separated String.

    - #### getMetadataCreator

          java.lang.String getMetadataCreator()

      The Creator or Application for the PDF document. Defaults to "JasperReports Library version x.x.x".

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com